Esta documentación está archivada y no tiene mantenimiento.

Trace.AutoFlush (Propiedad)

Actualización: noviembre 2007

Obtiene o establece si debe llamarse a Flush en Listeners después de cada escritura.

Espacio de nombres:  System.Diagnostics
Ensamblado:  System (en System.dll)

public static bool AutoFlush { get; set; }
/** @property */
public static boolean get_AutoFlush()
/** @property */
public static  void set_AutoFlush(boolean value)

public static function get AutoFlush () : boolean
public static function set AutoFlush (value : boolean)

Valor de propiedad

Tipo: System.Boolean
Es true si se llama a Flush en Listeners después de cada escritura; en caso contrario, es false.

El valor predeterminado es false.

Vaciar la secuencia no hará que se vacíe su correspondiente codificador subyacente, a menos que se llame explícitamente a Flush o a Close. Al establecer el valor de AutoFlush en true, los datos del búfer se volcarán en la secuencia, pero no se volcará el estado del codificador. Esto permite al codificador mantener su estado (caracteres parciales) de forma que sea posible codificar el siguiente bloque de caracteres correctamente. Este escenario afecta a UTF8 y UTF7 donde ciertos caracteres sólo se pueden codificar después de que el codificador reciba el carácter o los caracteres adyacentes.

Para establecer el valor de las propiedades AutoFlush y IndentSize de Trace, también se puede editar el archivo de configuración correspondiente al nombre de la aplicación. El archivo de configuración debe tener el mismo formato que en el siguiente ejemplo:

<configuration>
  <system.diagnostics>
    <trace autoflush="false" indentsize="3" />
  </system.diagnostics>
</configuration>

Windows Vista, Windows XP SP2, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP Starter Edition, Windows Server 2003, Windows Server 2000 SP4, Windows Millennium Edition, Windows 98, Windows CE, Windows Mobile para Smartphone, Windows Mobile para Pocket PC, Xbox 360

.NET Framework y .NET Compact Framework no admiten todas las versiones de cada plataforma. Para obtener una lista de las versiones compatibles, vea Requisitos de sistema de .NET Framework.

.NET Framework

Compatible con: 3.5, 3.0, 2.0, 1.1, 1.0

.NET Compact Framework

Compatible con: 3.5

XNA Framework

Compatible con: 2.0, 1.0
Mostrar: